import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericTocabSensorType Converter")

class GenericTocabSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "Continous media"
        elif args[0] == "Gap":
            res = "Gap Sensor"
        elif args[0] == "Mark":
            res = "Top-Reflect"
        return res




plugin = GenericTocabSensorType("GenericTocabSensorType")

store.AddConverter(plugin)